Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Httpable.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Base\Exceptions;
8
14 interface Httpable
15 {
16 const BAD_REQUEST = 400;
17 const UNAUTHORIZED = 401;
18 const PAYMENT_REQUIRED = 402;
19 const FORBIDDEN = 403;
20 const NOT_FOUND = 404;
21 const METHOD_NOT_ALLOWED = 405;
22 const NOT_ACCEPTABLE = 406;
23 const CONFLICT = 409;
24 const GONE = 410;
25
26 const UNSUPPORTED_MEDIA_TYPE = 415;
27
28 const INTERNAL_ERROR = 500;
29 const NOT_IMPLEMENTED = 501;
30 const SERVICE_UNAVAILABLE = 503;
31 }
eZ\Publish\Core\Base\Exceptions\Httpable
Interface for exceptions that maps to http status codes.
Definition: Httpable.php:15
eZ\Publish\Core\Base\Exceptions\Httpable\INTERNAL_ERROR
const INTERNAL_ERROR
Definition: Httpable.php:28
eZ\Publish\Core\Base\Exceptions\Httpable\NOT_IMPLEMENTED
const NOT_IMPLEMENTED
Definition: Httpable.php:29
eZ\Publish\Core\Base\Exceptions\Httpable\NOT_FOUND
const NOT_FOUND
Definition: Httpable.php:20
eZ\Publish\Core\Base\Exceptions\Httpable\BAD_REQUEST
const BAD_REQUEST
Definition: Httpable.php:16
eZ\Publish\Core\Base\Exceptions\Httpable\UNAUTHORIZED
const UNAUTHORIZED
Definition: Httpable.php:17
eZ\Publish\Core\Base\Exceptions\Httpable\PAYMENT_REQUIRED
const PAYMENT_REQUIRED
Definition: Httpable.php:18
eZ\Publish\Core\Base\Exceptions\Httpable\FORBIDDEN
const FORBIDDEN
Definition: Httpable.php:19
eZ\Publish\Core\Base\Exceptions\Httpable\SERVICE_UNAVAILABLE
const SERVICE_UNAVAILABLE
Definition: Httpable.php:30
eZ\Publish\Core\Base\Exceptions\Httpable\GONE
const GONE
Definition: Httpable.php:24
eZ\Publish\Core\Base\Exceptions\Httpable\UNSUPPORTED_MEDIA_TYPE
const UNSUPPORTED_MEDIA_TYPE
Definition: Httpable.php:26
eZ\Publish\Core\Base\Exceptions\Httpable\CONFLICT
const CONFLICT
Definition: Httpable.php:23
eZ\Publish\Core\Base\Exceptions\Httpable\NOT_ACCEPTABLE
const NOT_ACCEPTABLE
Definition: Httpable.php:22
eZ\Publish\Core\Base\Exceptions\Httpable\METHOD_NOT_ALLOWED
const METHOD_NOT_ALLOWED
Definition: Httpable.php:21
eZ\Publish\Core\Base\Exceptions
Definition: Core/Base/Exceptions/BadStateException.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.